Cara Memeriksa Kompatibilitas Pengaya dengan Firefox 57 atau Lebih Baru

Firefox 57 , yang dijadwalkan untuk rilis November ini, akan membawa beberapa perubahan yang cukup besar pada browser, termasuk salah satu yang mungkin, berpotensi, merusak kompatibilitas dengan beberapa add-on populer yang banyak dari kita temukan sangat diperlukan dalam penggunaan kita sehari-hari . Dengan Mozilla menjauh dari XPCOM dan XUL, fondasi ekosistem add-on Firefox yang berkembang pesat, browser hanya akan mendukung API ekstensi baru yang disebut ‘WebExtensions’, mengakhiri kompatibilitas dengan ekstensi overlay XUL, ekstensi bootstrap, ekstensi SDK dan bahkan Embedded Ekstensi Web. Sebagai pengguna Firefox yang berdedikasi sejak Netscape Navigator berhari-hari di pertengahan tahun sembilan puluhan, gagasan bahwa beberapa pengaya yang saya cintai mungkin menjadi usang dalam hitungan minggu adalah pil pahit yang harus ditelan, tetapi ada solusi yang dapat Anda lakukan. gunakan untuk mengulur waktu sebelum menjadi usang. Pada artikel hari ini, kita akan memberi tahu Anda dengan tepat mengapa Mozilla menghentikan ekstensi XUL, bagaimana Anda dapat memeriksa kompatibilitas add-on dengan Firefox 57, dan bagaimana Anda dapat tetap menggunakan ekstensi lawas bahkan setelah Firefox 57 mengakhiri dukungan untuk XUL dan XPCOM untuk bagus.

Mengapa Mozilla Mengakhiri Dukungan untuk XUL Dengan Firefox 57?

Menurut pernyataan yang dirilis awal tahun ini oleh Mozilla, mengimplementasikan WebExtensions API akan membantu Firefox dalam banyak hal, meskipun, banyak komunitas pengembang dan pengguna yang kuat tidak yakin. Pertama, menurut Ken Needham, manajer desktop Firefox Mozilla, alasan utama browser meninggalkan XPCOM dan XUL adalah keamanan dan stabilitas . Menurutnya, fakta bahwa sebagian besar kode Firefox dalam JavaScript telah menjadi keuntungan besar bagi browser dalam hal membuatnya jauh lebih dapat disesuaikan daripada pesaingnya, tetapi juga membuat browser secara inheren tidak aman dari malware dan keamanan lainnya. ancaman. Lebih lanjut dia berkata, “Add-on memiliki akses lengkap ke implementasi internal Firefox. Kurangnya modularitas ini menyebabkan banyak masalah. Pengaya juga dapat menyebabkan Firefox mogok ketika mereka menggunakan API dengan cara yang tidak terduga”.

WebExtensions, antarmuka pemrograman aplikasi (API) baru yang telah diadopsi Firefox dan akan menjadi satu-satunya dasar untuk add-on dari Firefox 57, juga kompatibel dengan Blink , yang merupakan fork Google dari mesin browser WebKit open source Apple yang saat ini digunakan oleh Safari dan menjadi dasar dari browser populer lainnya, seperti Chrome dan Opera, dengan yang terakhir meninggalkan mesin browser Presto demi WebKit beberapa waktu lalu. Kompatibilitas Blink akan memungkinkan pengembang untuk dengan mudah mem-port add-on Chrome mereka ke Firefox tanpa harus mengubah kode terlalu banyak, yang merupakan alasan lain untuk perubahan tersebut, menurut Mozilla. Jadi suka atau tidak suka, Anda harus menghadapi perubahan ini.

Periksa Pengaya Mana yang Kompatibel dengan Firefox 57 atau Lebih Baru

  • Untuk memeriksa apakah Pengaya Anda kompatibel dengan Firefox 57 dan yang lebih baru, klik menu hamburger di kanan atas jendela Firefox Anda, lalu klik ‘Pengaya’ .

Firefox Addons Button Beebom Homepage 2 KK

  • Pada layar yang dihasilkan, klik opsi ‘Ekstensi’ seperti yang ditunjukkan pada gambar di bawah.

Addons Legacy KKSekarang Anda dapat melihat XUL dan ekstensi lain yang diberi label dengan tag kuning ‘Legacy’ , sedangkan ekstensi yang telah bermigrasi ke WebExtension API tidak akan memiliki tanda tersebut dan, akan terus berfungsi seperti biasa bahkan dengan Firefox 57 dan yang lebih baru.

Cara Tetap Menggunakan Ekstensi Lama

Jika Anda benar-benar ingin tetap menggunakan ekstensi tertentu yang pengembangnya belum bermigrasi ke WebExtensions atau kemungkinan tidak akan melakukannya di masa mendatang, yang dapat Anda lakukan adalah beralih ke Firefox ESR (Extended Support Release), yang sebagian besar ditujukan di organisasi dan perusahaan yang menghargai kompatibilitas daripada fitur. Rilis ESR mungkin tidak diperbarui dengan fitur baru, tetapi mereka terus menerima semua patch keamanan hingga rilis versi ESR berikutnya. rilis ESR saat ini Firefox 52, dan itu akan terus menerima update keamanan sampai Juni mendatang , sehingga Anda dapat terus menggunakan ekstensi lawas sampai kemudian tanpa kekhawatiran tentang keamanan. Ini tidak akan menjadi solusi permanen, tetapi akan memberi Anda waktu untuk mengevaluasi pilihan Anda ke depan.

LIHAT JUGA: Cara Menggunakan Firefox Send untuk Mengirim File Penghancur Sendiri

Periksa Kompatibilitas Pengaya dengan Firefox 57 atau Lebih Baru

Sementara langkah Firefox telah menarik sejumlah besar kritikus vokal dan berpengaruh, organisasi masih berjalan dengan perubahan yang diusulkan seperti yang direncanakan. Jadi suka atau tidak suka, setidaknya beberapa pengaya favorit Anda mungkin tidak dapat digunakan lagi pada akhir tahun ini. Tentu, Anda dapat beralih ke versi ESR, tetapi Anda akan tetap hidup dengan waktu pinjaman, karena jeda hanya akan bersifat sementara dan tidak permanen. Jadi, apakah menurut Anda perubahan itu akan mengasingkan pengembang dan pengguna? Akankah Firefox kehilangan sebagian penggunanya, atau apakah Anda yakin pengguna setia Firefox akan terus mendukung browser hanya karena alasan ideologis? Beri tahu kita pendapat Anda tentang masalah ini, karena kita senang mendengar dari Anda.

Related Posts